Bug 13197 - SMB2 close/lock/logoff can generate NT_STATUS_NETWORK_SESSION_EXPIRED
SMB2 close/lock/logoff can generate NT_STATUS_NETWORK_SESSION_EXPIRED
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.7.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-20 13:09 UTC by Stefan Metzmacher
Modified: 2018-03-13 10:05 UTC (History)
5 users (show)

See Also:


Attachments
Patches for v4-6-test (18.99 KB, patch)
2018-03-07 10:51 UTC, Stefan Metzmacher
no flags Details
Patches for v4-6-test (18.98 KB, patch)
2018-03-07 11:08 UTC, Stefan Metzmacher
metze: review? (slow)
metze: review? (vl)
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-12-20 13:09:32 UTC
[MS-SMB2] 3.3.5.2.9 Verifying the Session

...

If a session is found and Session.State is Expired, the server MUST continue to process the SMB2 LOGOFF, SMB2 CLOSE, and SMB2 LOCK commands. If the command is not one of these, the server SHOULD fail the request with STATUS_NETWORK_SESSION_EXPIRED.

...
Comment 1 Stefan Metzmacher 2018-03-07 10:51:53 UTC
Created attachment 14021 [details]
Patches for v4-6-test

It seems this already went into 4.7.4 as 8be019859010a12874e0e78ebec2d44e5b2abe5c

Here's the backport to v4-6-test.
Comment 2 Stefan Metzmacher 2018-03-07 11:08:32 UTC
Created attachment 14024 [details]
Patches for v4-6-test
Comment 3 Jeremy Allison 2018-03-07 18:02:58 UTC
Re-assigning to Karolin for inclusion in 4.6.next.
Comment 4 Stefan Metzmacher 2018-03-08 09:46:53 UTC
Pushed to autobuild-v4-6-test.
Comment 5 Karolin Seeger 2018-03-13 10:05:53 UTC
Pushed to v4-6-test.
Closing out bug report.

Thanks!